#pragma once

#include <kernel/groupattrs/config.h>

#include <library/cpp/yconf/conf.h>

#include <util/generic/maybe.h>

namespace NRTYServer {

    class TGroupingConfig : public NGroupingAttrs::TConfig {
    public:
        TGroupingConfig(const TYandexConfig::Directives& directives);
        TGroupingConfig(const TString& groups);
        bool HasUniqueAttrs() const;
        ui32 GetVersion() const;
        void ToStringStream(TStringOutput& so) const;

    private:
        TMaybe<ui32> Version;
    };

}
